with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.ISVGRect_Interface is

   procedure Initialize (This : in out ISVGRect_Type) is
   begin
      Set_IID (This, IID_ISVGRect);
   end Initialize;

   function Pointer (This : ISVGRect_Type)
     return Pointer_To_ISVGRect
   is
   begin
      return To_Pointer_To_ISVGRect (Address (This));
   end Pointer;

   procedure Attach (This    : in out ISVGRect_Type;
                     Pointer : in     Pointer_To_ISVGRect)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   procedure Put_x
     (This : ISVGRect_Type;
      p    : Interfaces.C.C_float)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Put_x
         (Pointer (This),
          p));

   end Put_x;

   function Get_x
     (This : ISVGRect_Type)
     return Interfaces.C.C_float
   is
       RetVal : aliased Interfaces.C.C_float;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_x
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_x;

   procedure Put_y
     (This : ISVGRect_Type;
      p    : Interfaces.C.C_float)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Put_y
         (Pointer (This),
          p));

   end Put_y;

   function Get_y
     (This : ISVGRect_Type)
     return Interfaces.C.C_float
   is
       RetVal : aliased Interfaces.C.C_float;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_y
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_y;

   procedure Put_width
     (This : ISVGRect_Type;
      p    : Interfaces.C.C_float)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Put_width
         (Pointer (This),
          p));

   end Put_width;

   function Get_width
     (This : ISVGRect_Type)
     return Interfaces.C.C_float
   is
       RetVal : aliased Interfaces.C.C_float;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_width
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_width;

   procedure Put_height
     (This : ISVGRect_Type;
      p    : Interfaces.C.C_float)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Put_height
         (Pointer (This),
          p));

   end Put_height;

   function Get_height
     (This : ISVGRect_Type)
     return Interfaces.C.C_float
   is
       RetVal : aliased Interfaces.C.C_float;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_height
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_height;

end MSHTML.ISVGRect_Interface;

